# Uses of Enum
org.italiangrid.voms.util.FilePermissionHelper.PosixFilePermission

Packages that use FilePermissionHelper.PosixFilePermission
Package
Description
org.italiangrid.voms.util
This package provides utility classes used in other packages.

## Uses of FilePermissionHelper.PosixFilePermission in org.italiangrid.voms.util

Fields in org.italiangrid.voms.util with type parameters of type FilePermissionHelper.PosixFilePermission
Modifier and Type
Field
Description
`static final EnumSet<FilePermissionHelper.PosixFilePermission>`
FilePermissionHelper.`PRIVATE_KEY_PERMS`
Required file permissions for the private key file
Methods in org.italiangrid.voms.util that return FilePermissionHelper.PosixFilePermission
Modifier and Type
Method
Description
`static FilePermissionHelper.PosixFilePermission`
FilePermissionHelper.PosixFilePermission.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FilePermissionHelper.PosixFilePermission[]`
FilePermissionHelper.PosixFilePermission.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.italiangrid.voms.util with parameters of type FilePermissionHelper.PosixFilePermission
Modifier and Type
Method
Description
`static void`
FilePermissionHelper.`matchesFilePermissions(String filename, FilePermissionHelper.PosixFilePermission expectedPerm)`
Checks that a given file has the appropriate unix permissions.
`static void`
FilePermissionHelper.`setFilePermissions(String filename, FilePermissionHelper.PosixFilePermission perm)`
Sets the specified POSIX permissions on a file.